# UuidValue class Null safety

## Constructors

UuidValue(String uuid, [bool validate = true, ValidationMode validationMode = ValidationMode.strictRFC4122])
  UuidValue() Constructor for creating a uuid value. [...]
  factory
UuidValue.fromByteList(Uint8List byteList, {int? offset})
  factory
UuidValue.fromList(List<int> byteList, {int? offset})
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
uuid → String
  final

## Methods

equals(UuidValue other) → bool
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toBytes() → Uint8List
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  override